Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.beid.impl
Class CommonsEidAdaptor

    java.lang.Object
      be.ehealth.technicalconnector.beid.impl.CommonsEidAdaptor

All Implemented Interfaces:
  BeIDCardAdaptor

    public class CommonsEidAdaptor

extends Object
implements BeIDCardAdaptor

Implementation of `BeIDCardAdaptor`

Field Summary
`static String` | `PROP_BEID_CON_GUI` String property to specify the implementation of `BeIDCardsUI` that must be used.

Constructor Summary
`CommonsEidAdaptor()`

Method Summary
`be.fedict.commons.eid.client.BeIDCard` | `getBeIDCard()` Retrieve the reachable IDCard and create corresponding BeIDCard object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_BEID_CON_GUI

    public static final String PROP_BEID_CON_GUI

  String property to specify the implementation of `BeIDCardsUI` that must be used. Default: null (using default impl of commons-eid.

  See Also:
    Constant Field Values

Constructor Detail

### CommonsEidAdaptor

    public CommonsEidAdaptor()

Method Detail

### getBeIDCard

    public be.fedict.commons.eid.client.BeIDCard getBeIDCard()
                                                      throws TechnicalConnectorException

  Retrieve the reachable IDCard and create corresponding BeIDCard object

  Specified by:
    `getBeIDCard` in interface `BeIDCardAdaptor`
  Returns:
    an instance of BeIDCard
  Throws:
    `TechnicalConnectorException` - if no card is reachable or user cancelled the operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.